using Newtonsoft.Json;

namespace OF_DL.Models.Dtos.Common;

public class PreviewDto
{
    [JsonProperty("width")] public int? Width { get; set; }

    [JsonProperty("height")] public int? Height { get; set; }

    [JsonProperty("size")] public int? Size { get; set; }

    [JsonProperty("url")] public string Url { get; set; } = "";

    [JsonProperty("sources")] public SourcesDto Sources { get; set; } = new();
}
